<TeXmacs|1.0.6.11>

<style|letter>

<\body>
  <\opening>
    Bonjour,
  </opening>

  Pour un nombre premier <with|mode|math|p> suprieur ou gal a
  <with|mode|math|3>, les <with|mode|math|p-3> nombres de <with|mode|math|2>
   <with|mode|math|p-2> peuvent s'appairer pour donner des produits dont le
  reste modulo <with|mode|math|p> est <with|mode|math|1> ; cf Thorme de
  Wilson.

  J'avais tent, voici quelques annes de dnombrer de tels ``couples de
  Wilson'' relatifs  un entier <with|mode|math|n> suprieur ou gal 
  <with|mode|math|2><space|0.2spc>:

  <\equation*>
    W<rprime|'>(n)={(i, j)\<in\>\<bbb-N\><rsup|2><mid|\|>i,j\<in\><left|[>1,
    n], i \<neq\>j,i .j\<equiv\>1(mod n)<right|}>
  </equation*>

  ou, ne conservant que les premieres composantes des couples<space|0.2spc>:

  <\eqnarray*>
    <tformat|<table|<row|<cell|W(n)>|<cell|=>|<cell|{i\<in\>\<bbb-N\><mid|\|>\<exists\>j\<in\><left|[>1,
    n<right|]>-{i},i .j\<equiv\>1(mod n)<right|}>>>|<row|<cell|#W(n)>|<cell|=>|<cell|\<varphi\>(n)-2<rsup|\<omega\>(n)+f(k)>>>>>
  </eqnarray*>

  Avec les notations<space|0.2spc>:

  <with|mode|math|# :> cardinal d'un ensemble,

  <with|mode|math|\<varphi\> :> fonction d'Euler,

  <with|mode|math|\<omega\>(n) :> nombres de facteurs premiers distincts de
  <with|mode|math|n>,

  <with|mode|math|k \ : \ \ \ 2<rsup|k><mid|\|\|>n, >exposant de
  <with|mode|math|2> dans la dcomposition en facteurs premiers de
  <with|mode|math|n> et

  <with|mode|math|f :> une fonction telle que :

  \ \ \ <with|mode|math|f(0)=0>, <with|mode|math|f(1)=-1>,
  <with|mode|math|f(2)=0> et <with|mode|math|f(k)=1> pour tout
  <with|mode|math|k> suprieur ou gal  <with|mode|math|3>.

  <\example>
    \;

    <\eqnarray*>
      <tformat|<table|<row|<cell|n>|<cell| =
      >|<cell|15>>|<row|<cell|W<rprime|'>(15)>|<cell|=>|<cell|{(2, 8), (7,
      13), (8, 2), (13, 7)}>>|<row|<cell|W(15)>|<cell|=>|<cell|{2, 7, 8,
      13}>>|<row|<cell|#W(15)*>|<cell|=>|<cell|4>>>>
    </eqnarray*>

    <\eqnarray*>
      <tformat|<table|<row|<cell|n>|<cell|=>|<cell|3.5>>|<row|<cell|\<varphi\>(15)>|<cell|=>|<cell|\<varphi\>(3).\<varphi\>(5)=2.4=8>>|<row|<cell|\<omega\>(15)>|<cell|=>|<cell|2>>|<row|<cell|\<varphi\>(15)-2<rsup|\<omega\>(15)+f(0)>>|<cell|=>|<cell|<with|mode|text|<with|mode|math|8-2<rsup|2>>>=4=#W(15)>>>>
    </eqnarray*>
  </example>

  <\example>
    \;

    <\eqnarray*>
      <tformat|<table|<row|<cell|n>|<cell|=>|<cell|20>>|<row|<cell|W<rprime|'>(20)>|<cell|=>|<cell|{(3,
      7), (7, 3), (13, 17), (17, 13)}>>|<row|<cell|W(20)>|<cell|=>|<cell|{3,
      7, 13, 17}>>|<row|<cell|#W(20)>|<cell|=>|<cell|4>>>>
    </eqnarray*>

    <\eqnarray*>
      <tformat|<table|<row|<cell|n>|<cell|=>|<cell|2<rsup|2>.5>>|<row|<cell|\<varphi\>(20)>|<cell|=>|<cell|20(1-<frac|1|2>)(1-<frac|1|5>)=20.<frac|1|2>.<frac|4|5>=8>>|<row|<cell|\<omega\>(20)>|<cell|=>|<cell|2>>|<row|<cell|\<varphi\>(20)-2<rsup|\<omega\>(20)+f(2)>=>|<cell|=>|<cell|8-2<rsup|2>=4=#W(20)>>>>
    </eqnarray*>
  </example>

  Je n'avais tabli la dmonstration de cette formule que pour n impair.

  La fonction <with|mode|math|f> correspond  une tentative pour rendre
  compte de nombreux

  exemples et, vue sa tte inspirant peu confiance, je me demande ce que vous
  pensez de sa vracit.

  \;

  Si vous connaissez un article relatif  ce sujet, je suis intress aussi.

  \;

  Merci d'avance.

  \;

  <\closing>
    Cordialement,
  </closing>

  <\signature>
    Fabrice
  </signature>
</body>

<\initial>
  <\collection>
    <associate|font-family|tt>
    <associate|language|verbatim>
    <associate|par-first|0cm>
    <associate|preamble|false>
  </collection>
</initial>

<\references>
  <\collection>
    <associate|auto-1|<tuple|1|?>>
  </collection>
</references>